%define include_holidayparser  0
%{?_with_holidayparser: %{expand: %%global include_holidayparser 1}}

Name:           dayplanner
Version:        0.9.1
Release:        3%{?dist}
Summary:        An easy and clean Day Planner
Summary(pl):    Prosty i elegancki organizer
Summary(de):    Ein einfacher und klarer Tagesplaner
Group:          Applications/Productivity
License:        GPLv3+
URL:            http://www.day-planner.org/
Source0:        http://download.gna.org/dayplanner/%{name}-%{version}.tar.bz2
Source1:        holiday_japan
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  gettext desktop-file-utils perl
BuildRequires:  perl(Locale::gettext)
Requires:       hicolor-icon-theme
Requires:       perl(Locale::gettext)

%description
Day Planner is a simple time management program.

Day Planner is designed to help you easily manage your time.
It can manage appointments, birthdays and more. It makes sure you
remember your appointments by popping up a dialog box reminding you about it.

%description -l pl
Day Planner is a prosty program do zarządzania czasem.

Day Planner jest zaprojektowany aby pomóc Tobie łatwo zarządzać Twoim czasem.
Może zarządzać spotkaniami, urodzinami i innymi. Możesz być pewnym że będziesz
pamiętał o spotkaniach przez wyskakujące okna dialogowe przypominające o nich.

%description -l de
Day Planner ist ein einfacher Zeitverwaltungsprogram.

Day Planner hilft Ihnen, Ihre Zeit Termine einfach zu verwalten. Es kann
Termine, Geburtstage und vieles mehr speichern. Um sicherzustellen, dass Sie 
keine Termine verpassen erinnert Sie Day Planner mit einem Dialogfenster daran.

%prep
%setup -q

# filter out all unwanted perl related Requires and Provides
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
sed -e '/perl(DP::.*)/d' |\
sed -e '/perl(Date::HolidayParser)/d'
EOF

%define __perl_provides %{_builddir}/%{name}-%{version}/%{name}-prov
chmod +x %{__perl_provides}

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(DP::.*)/d' |\
sed -e '/perl(Date::HolidayParser)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
chmod +x %{__perl_requires}


# Desktop file
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Day Planner
GenericName=Day Planner
GenericName[pl_PL]=Day Planner
GenericName[de]=Tagesplaner
Comment=An easy and clean Day Planner
Comment[pl_PL]=Prosty i elegancki organizer
Comment[de]=Ein einfacher und klarer Tagesplaner
Exec=dayplanner
Icon=dayplanner
Terminal=false
Type=Application
Categories=Office;

EOF

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT

%if include_holidayparser
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} DHPinstall
%else
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix}
%endif

# Install hicolor icons
for size in 16 24 32 48; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${size}x${size}/apps
  install -m 644 -p art/%{name}-${size}x${size}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${size}x${size}/apps/%{name}.png
done

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

# Install desktop file
desktop-file-install --vendor="fedora"               \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
  %{name}.desktop

# Install holiday
cp -pf %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}/holiday

# Chmod
find $RPM_BUILD_ROOT%{_datadir}/%{name} -name \*.pm -exec chmod 0644 {} \;

# Find the localization
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f dayplanner.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS THANKS TODO ./doc/*
%{_bindir}/%{name}
%{_bindir}/%{name}-daemon
%{_bindir}/%{name}-notifier
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png

%changelog
* Sat Jul 19 2008 Christoph Wickert <fedora christoph-wickert de> - 0.9.1-3
- Filter out all dayplanner related Requires and Provides

* Sat Jul 19 2008 Christoph Wickert <fedora christoph-wickert de> - 0.9.1-2
- Filter out unwanted Requires on perl(DP::CoreModules)

* Sat Jul 19 2008 Christoph Wickert <fedora christoph-wickert de> - 0.9.1-1
- Update to 0.9.1 to fix #446883
- Require perl(Locale::gettext)
- Add German descriptions

* Tue Mar 04 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.8.1-3
- Correct install section
- Fix holiday_japan
- Correct BR-s

* Mon Mar 03 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.8.1-2
- Correct install section
- Add holiday_japan

* Tue Feb 19 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.8.1-1
- First release
